import { EventEmitter, OnInit } from "@angular/core";
import { StiTableElement } from "../../elements/StiTableElement";
import * as i0 from "@angular/core";
export declare class StiColumnsPreviewComponent implements OnInit {
    state: boolean;
    object: StiTableElement;
    fieldClick: EventEmitter<any>;
    startFieldDrag: EventEmitter<any>;
    arrayOfStates: any[];
    get columns(): any[];
    isColumn(column: any): boolean;
    constructor();
    addTotal(column: any): void;
    addCell(cellObject: any): void;
    startItemDrag(dragObject: any): void;
    ngOnInit(): void;
    getState(element: any): any;
    changeState(element: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiColumnsPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiColumnsPreviewComponent, "sti-columns-preview", never, { "state": { "alias": "state"; "required": false; }; "object": { "alias": "object"; "required": false; }; }, { "fieldClick": "fieldClick"; "startFieldDrag": "startFieldDrag"; }, never, never, false, never>;
}
